
#!/bin/bash

# Source : http://foo-projects.org/~elangelo/xfce-snapshots/
# Packager : JP Guillemin jp.guillemin@free.fr

soft='xfmedia'
softversion='0.10.0'
packageversion='1z32'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src

./configure --prefix=/usr
make DESTDIR=$dest
make install DESTDIR=$dest


( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  AUTHORS COPYING INSTALL README.plugins README.remote README TODO ChangeLog \
  doc \
  $dest/usr/doc/$soft-$softversion

# redundant
rm -rf $dest/usr/share/doc

mkdir -p $dest/install

cat << "EODESC" > $dest/install/slack-desc
       |-----handy-ruler---------------------------------------------------|
xfmedia: xfmedia (GTK+ media player based on Xine)
xfmedia:
xfmedia: Xfmedia is a simple, easy-to-use media player based on 
xfmedia: the xine engine.  It plays CDs, DVDs, and VCDs, 
xfmedia: multimedia files, and multimedia streams over a network.
xfmedia: The GTK+ GUI focuses on playing and managing audio files. 
xfmedia: 
xfmedia:
xfmedia:
xfmedia:
xfmedia:
EODESC

mkdir -p $dest/usr/bin
cat << "EOF" > $dest/usr/bin/xfmedia-launch
#!/bin/bash

if xfmedia-remote --ping 2>/dev/null ; then
	xfmedia-remote -p --playlist-add="$1"
else
	xfmedia "$1"
fi
EOF

chmod 755 $dest/usr/bin/xfmedia-launch

mkdir -p $dest/usr/share/applications
cat << "EOF" > $dest/usr/share/applications/xfmedia.desktop
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=Xfmedia
Name[ca]=Xfmedia
Name[cs]=Xfmedia
Name[de]=Xfmedia
Name[es]=Xfmedia
Name[eu]=Xfmedia
Name[fi]=Xfmedia
Name[fr]=Xfmedia
Name[gu]=Xfmedia
Name[he]=Xfmedia
Name[hu]=Xfmedia
Name[it]=Xfmedia
Name[ja]=Xfmedia メディアプレイヤー
Name[lt]=Xfmedia
Name[pl]=Xfmedia
Name[pt_BR]=Xfmedia
Name[ru]=Xfmedia
Name[uk]=Xfmedia
Name[vi]=Xfmedia
Name[zh_CN]=Xfmedia
Name[zh_TW]=Xfmedia
Comment=Lightweight Media Player
Comment[ca]=Lleuger reproductor multimèdia
Comment[cs]=Odlehčený přehrávač médií
Comment[de]=Leichtgewichtiger Medienspieler
Comment[es]=Reproductor Multimedia Ligero
Comment[eu]=PisuGutxiko Medio Erreproduzitzailea
Comment[fi]=Kevyt mediasoitin
Comment[fr]=Lecteur Média Léger
Comment[gu]=હલકું મીડિયા પ્લેયર
Comment[he]=נגן מדיה קל
Comment[hu]=Pillesúlyú Média lejátszó
Comment[it]=Un lettore multimediale leggero
Comment[ja]=軽快なメディアプレイヤーです
Comment[lt]=Nedidelis multimedijos grotuvas
Comment[pl]=Lekki Odtwarzacz Multimedialny
Comment[sk]=Odľahčený prehrávač médií
Comment[uk]=Легкий мультимедійний програвач
Comment[vi]=Chương trình Nghe nhạc Nhỏ
Comment[zh_CN]=轻量级媒体播放器
Comment[zh_TW]=輕量級媒體播放器
Exec=xfmedia-launch %F
TryExec=xfmedia-launch
Icon=xfmedia
Terminal=false
Categories=X-XFCE;Application;AudioVideo;AudioPlayer;VideoPlayer;
StartupNotify=true
MimeType=application/x-annodex;audio/x-ogg;audio/x-speex;application/x-ogg;video/x-ms-asf;video/x-ms-wmv;video/x-ms-wma;application/vnd.ms-asf;application/x-mplayer2;video/x-ms-asf-plugin;video/x-ms-wvx;video/x-ms-wax;audio/x-aiff;audio/aiff;audio/x-pn-aiff;audio/x-realaudio;audio/basic;audio/x-basic;audio/x-pn-au;audio/x-wav;audio/wav;audio/x-pn-wav;audio/x-pn-windows-acm;video/msvideo;video/x-msvideo;video/quicktime;video/x-quicktime;audio/x-m4a;application/x-quicktimeplayer;video/x-flic;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-real-audio;application/vnd.rn-realmedia;video/mkv;audio/x-8svx;audio/8svx;audio/x-16sv;audio/168sv;image/x-ilbm;image/ilbm;video/x-anim;video/anim;video/mpeg;video/x-mpeg;audio/mpeg2;audio/x-mpeg2;audio/mpeg3;audio/x-mpeg3;audio/mpeg;audio/x-mpeg;audio/x-mpegurl;audio/mpegurl;audio/mp3;audio/x-mp3;application/x-flac;
EOF

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

cd $dest
makepkg -l y -c n $dest.tgz

